Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# Oscl_TagTree< T, Alloc >::const_iterator Struct Reference

`#include <oscl_tagtree.h>`

## Public Types
typedef const node_type & | reference
typedef const node_type * | pointer
typedef map_type::const_iterator | mapiter
typedef const_iterator | self
## Public Methods
| const_iterator ()
| const_iterator (mapiter x)
| const_iterator (const const_iterator &it)
reference | operator * () const
pointer | operator-> () const
bool | operator== (const self &x)
bool | operator!= (const self &x)
self & | operator++ ()
self | operator++ (int)
self & | operator-- ()
self | operator-- (int)
## Data Fields
mapiter | mapit

### template<class T, class Alloc>
struct Oscl_TagTree< T, Alloc >::const_iterator

## Member Typedef Documentation

template<class T, class Alloc>
typedef map_type::const_iterator Oscl_TagTree< T, Alloc >::const_iterator::mapiter

template<class T, class Alloc>
typedef const node_type* Oscl_TagTree< T, Alloc >::const_iterator::pointer

template<class T, class Alloc>
typedef const node_type& Oscl_TagTree< T, Alloc >::const_iterator::reference

template<class T, class Alloc>
typedef const_iterator Oscl_TagTree< T, Alloc >::const_iterator::self

## Constructor & Destructor Documentation

template<class T, class Alloc>
Oscl_TagTree< T, Alloc >::const_iterator::const_iterator | ( |  | ) | `[inline]`

template<class T, class Alloc>
Oscl_TagTree< T, Alloc >::const_iterator::const_iterator | ( | mapiter | x | ) | `[inline]`

template<class T, class Alloc>
Oscl_TagTree< T, Alloc >::const_iterator::const_iterator | ( | const const_iterator & | it | ) | `[inline]`

## Member Function Documentation

template<class T, class Alloc>
reference Oscl_TagTree< T, Alloc >::const_iterator::operator * | ( |  | ) | const`[inline]`

template<class T, class Alloc>
bool Oscl_TagTree< T, Alloc >::const_iterator::operator!= | ( | const self & | x | ) | `[inline]`

template<class T, class Alloc>
self Oscl_TagTree< T, Alloc >::const_iterator::operator++ | ( | int |  | ) | `[inline]`

template<class T, class Alloc>
self& Oscl_TagTree< T, Alloc >::const_iterator::operator++ | ( |  | ) | `[inline]`

template<class T, class Alloc>
self Oscl_TagTree< T, Alloc >::const_iterator::operator-- | ( | int |  | ) | `[inline]`

template<class T, class Alloc>
self& Oscl_TagTree< T, Alloc >::const_iterator::operator-- | ( |  | ) | `[inline]`

template<class T, class Alloc>
pointer Oscl_TagTree< T, Alloc >::const_iterator::operator-> | ( |  | ) | const`[inline]`

template<class T, class Alloc>
bool Oscl_TagTree< T, Alloc >::const_iterator::operator== | ( | const self & | x | ) | `[inline]`

## Field Documentation

template<class T, class Alloc>
mapiter Oscl_TagTree< T, Alloc >::const_iterator::mapit

The documentation for this struct was generated from the following file:

- oscl_tagtree.h